Package edu.wisc.game.sql

## Class PlayerInfo.TransitionMap

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<PlayerInfo.Transition,​PlayerInfo.Action>
    - - edu.wisc.game.sql.PlayerInfo.TransitionMap

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<PlayerInfo.Transition,​PlayerInfo.Action>`
  Enclosing class:
    PlayerInfo

      public class PlayerInfo.TransitionMap
      extends HashMap<PlayerInfo.Transition,​PlayerInfo.Action>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransitionMap()` | After an episode has been completed, what other episode(s) can follow? This object is transmitted to the client as JSON, and can be used to draw all appropriate transition buttons.

  - ### Method Summary

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### TransitionMap

          public TransitionMap()

      After an episode has been completed, what other episode(s) can follow? This object is transmitted to the client as JSON, and can be used to draw all appropriate transition buttons.

      Note that the map may be empty if no more episodes can be played.